Bug 982628 - [abrt] evolution-3.8.3-2.fc19: g_malloc0: Process /usr/bin/evolution was killed by signal 11 (SIGSEGV)
Summary: [abrt] evolution-3.8.3-2.fc19: g_malloc0: Process /usr/bin/evolution was kill...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: evolution
Version: 19
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Milan Crha
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:60f243979064da10ada7fe7ea91...
: 879098 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-09 12:41 UTC by Lionel Félicité
Modified: 2015-02-17 16:01 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-17 16:01:07 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (150.61 KB, text/plain)
2013-07-09 12:41 UTC, Lionel Félicité
no flags Details
File: cgroup (140 bytes, text/plain)
2013-07-09 12:41 UTC, Lionel Félicité
no flags Details
File: core_backtrace (2.44 KB, text/plain)
2013-07-09 12:41 UTC, Lionel Félicité
no flags Details
File: dso_list (28.70 KB, text/plain)
2013-07-09 12:41 UTC, Lionel Félicité
no flags Details
File: environ (2.32 KB, text/plain)
2013-07-09 12:41 UTC, Lionel Félicité
no flags Details
File: limits (1.29 KB, text/plain)
2013-07-09 12:41 UTC, Lionel Félicité
no flags Details
File: maps (133.90 KB, text/plain)
2013-07-09 12:41 UTC, Lionel Félicité
no flags Details
File: open_fds (2.26 KB, text/plain)
2013-07-09 12:42 UTC, Lionel Félicité
no flags Details
File: proc_pid_status (947 bytes, text/plain)
2013-07-09 12:42 UTC, Lionel Félicité
no flags Details
File: var_log_messages (1.11 KB, text/plain)
2013-07-09 12:42 UTC, Lionel Félicité
no flags Details
File: xsession_errors (2.45 KB, text/plain)
2013-07-09 12:42 UTC, Lionel Félicité
no flags Details

Description Lionel Félicité 2013-07-09 12:41:23 UTC
Version-Release number of selected component:
evolution-3.8.3-2.fc19

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        evolution
crash_function: g_malloc0
executable:     /usr/bin/evolution
kernel:         3.9.9-301.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 g_malloc0 at gmem.c:189
 #3 g_malloc0_n at gmem.c:424
 #4 g_hash_table_new_full at ghash.c:667
 #5 g_hash_table_new at ghash.c:623
 #6 camel_mime_message_init at camel-mime-message.c:379
 #7 g_type_create_instance at gtype.c:1917
 #8 g_object_constructor at gobject.c:1855
 #11 camel_mime_message_new at camel-mime-message.c:408
 #12 imapx_get_message_sync at camel-imapx-folder.c:631
 #13 camel_folder_get_message_sync at camel-folder.c:3765

Potential duplicate: bug 879098

Comment 1 Lionel Félicité 2013-07-09 12:41:29 UTC
Created attachment 770989 [details]
File: backtrace

Comment 2 Lionel Félicité 2013-07-09 12:41:32 UTC
Created attachment 770990 [details]
File: cgroup

Comment 3 Lionel Félicité 2013-07-09 12:41:37 UTC
Created attachment 770991 [details]
File: core_backtrace

Comment 4 Lionel Félicité 2013-07-09 12:41:43 UTC
Created attachment 770992 [details]
File: dso_list

Comment 5 Lionel Félicité 2013-07-09 12:41:47 UTC
Created attachment 770993 [details]
File: environ

Comment 6 Lionel Félicité 2013-07-09 12:41:50 UTC
Created attachment 770994 [details]
File: limits

Comment 7 Lionel Félicité 2013-07-09 12:41:55 UTC
Created attachment 770995 [details]
File: maps

Comment 8 Lionel Félicité 2013-07-09 12:42:01 UTC
Created attachment 770996 [details]
File: open_fds

Comment 9 Lionel Félicité 2013-07-09 12:42:04 UTC
Created attachment 770997 [details]
File: proc_pid_status

Comment 10 Lionel Félicité 2013-07-09 12:42:07 UTC
Created attachment 770998 [details]
File: var_log_messages

Comment 11 Lionel Félicité 2013-07-09 12:42:11 UTC
Created attachment 770999 [details]
File: xsession_errors

Comment 12 Milan Crha 2013-07-10 09:01:24 UTC
Thanks for a bug report. Abrt found a similar bug, from Fedora 17, at bug #879098, but it's currently in a need-info state. I'll use the same question:

Do you know any way how to reproduce this, please? Or it was just a one-time crash, and you do not see it anymore? I cannot tell from the backtrace much, it might be some memory corruption, most likely, when a message was read from a your IMAP+ account, but I do not see anything more.

Comment 13 Lionel Félicité 2013-07-10 12:21:37 UTC
Hi Milan,

I can't give you much information. I was reading some mail (gmail via IMAP), clicked on another and then it crashed.

I'm not sure it'll help you a lot.

Since yesterday, it didn't crash again.

Comment 14 Milan Crha 2013-07-15 13:53:53 UTC
OK, that's no problem, Reproduce a memory corruption bug is quite tricky - using the same steps can sometimes crash the application, and sometimes not, on exactly the same code. I'll mark the other bug as a duplicate of this one, to let the issue live for few more releases.

Comment 15 Milan Crha 2013-07-15 13:55:53 UTC
*** Bug 879098 has been marked as a duplicate of this bug. ***

Comment 16 Timothy Arceri 2013-11-28 21:06:04 UTC
I had this crash this morning. I was tethering to my phones wifi when we went through a tunnel so my phone lost its signal. I hit 'reply to group' and it said retrieving email 956565 (or something like that) then I hit 'reply' as I didn't want to reply to all and it said he same thing about retrieving then it crashed.

Hope this helps.

Comment 17 Guido Aulisi 2014-01-28 21:48:53 UTC
I had the same problem few minutes ago, abrt reported it. I was on gmail with imap. The only thing I noticed was the the network was very slow, I was pull some git repositories at the same moment.
I hope this helps a little bit.
Ciao
Guido

Comment 18 Fedora Admin XMLRPC Client 2014-09-04 14:29:03 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 19 Fedora End Of Life 2015-01-09 18:48:03 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 20 Fedora End Of Life 2015-02-17 16:01:07 UTC
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.